Subject: bug#7507: 24.0.50; GDB dialog: default should not be `Yes' if GDB is not installed

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Apr 2016 00:56:44 +0200

"Drew Adams" <[email-masked]> writes:

> Why does the question asking whether I want to debug with GDB have `Yes'
> as the default value if I don't even have GDB installed?  That obliges
> users to pick up the mouse and click `No' instead of just hitting RET.
> If you try to answer `Yes' you just get into trouble: That provokes a
> Microsoft error, letting you send lots of interesting info to MS for
> `GNU Emacs: The extensible self-documenting text editor'.  I.e., `Yes'
> => Microsoft dialog box: `Send Error Report' or `Don't Send'.

When does Emacs ask whether you want to debug something with GDB?  I
can't recall it ever asking me that...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no